Page MenuHomePhabricator

Fatal BadMethodCallException: Call to a member function getText() on a non-object (null) in Wikidata/ArticlePlaceholder/SearchHookHandle
Closed, ResolvedPublic

Description

https://test.wikipedia.org/w/index.php?search=sandbox&fulltext=1

Exception encountered, of type "BadMethodCallException"
[VxWM9QpAME4AALfcJyAAAABC] /w/index.php?search=sandbox&cirrusSRTest=yes&title=Special%3ASearch&go=Go&fulltext=1 BadMethodCallException from line 131 of /srv/mediawiki/php-1.27.0-wmf.21/extensions/Wikidata/extensions/ArticlePlaceholder/includes/SearchHookHandler.php: Call to a member function getText() on a non-object (null)
Backtrace:
#0 /srv/mediawiki/php-1.27.0-wmf.21/extensions/Wikidata/extensions/ArticlePlaceholder/includes/SearchHookHandler.php(116): ArticlePlaceholder\SearchHookHandler->createResult(Wikibase\Lib\Interactors\TermSearchResult, string)
#1 /srv/mediawiki/php-1.27.0-wmf.21/extensions/Wikidata/extensions/ArticlePlaceholder/includes/SearchHookHandler.php(93): ArticlePlaceholder\SearchHookHandler->getSearchResults(string)
#2 /srv/mediawiki/php-1.27.0-wmf.21/extensions/Wikidata/extensions/ArticlePlaceholder/includes/SearchHookHandler.php(83): ArticlePlaceholder\SearchHookHandler->addToSearch(SpecialSearch, OutputPage, string)
#3 /srv/mediawiki/php-1.27.0-wmf.21/includes/Hooks.php(195): ArticlePlaceholder\SearchHookHandler::onSpecialSearchResultsAppend(SpecialSearch, OutputPage, string)
#4 /srv/mediawiki/php-1.27.0-wmf.21/includes/specials/SpecialSearch.php(435): Hooks::run(string, array)
#5 /srv/mediawiki/php-1.27.0-wmf.21/includes/specials/SpecialSearch.php(131): SpecialSearch->showResults(string)
#6 /srv/mediawiki/php-1.27.0-wmf.21/includes/specialpage/SpecialPage.php(412): SpecialSearch->execute(NULL)
#7 /srv/mediawiki/php-1.27.0-wmf.21/includes/specialpage/SpecialPageFactory.php(572): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.27.0-wmf.21/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.27.0-wmf.21/includes/MediaWiki.php(738): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.27.0-wmf.21/includes/MediaWiki.php(519): MediaWiki->main()
#11 /srv/mediawiki/php-1.27.0-wmf.21/index.php(43): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Event Timeline

Krinkle created this task.Apr 19 2016, 1:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 1:44 AM
Krinkle triaged this task as Unbreak Now! priority.Apr 19 2016, 1:44 AM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptApr 19 2016, 1:44 AM
Krinkle updated the task description. (Show Details)Apr 19 2016, 1:44 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 6:10 PM

Change 284429 had a related patch set uploaded (by Addshore):
Fix Call to a getText() on a non-object (null)

https://gerrit.wikimedia.org/r/284429

Change 284459 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fall back to entity id for search results with no label

https://gerrit.wikimedia.org/r/284459

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 20 2016, 2:10 PM

Change 284429 merged by jenkins-bot:
Fix Call to a getText() on a non-object (null)

https://gerrit.wikimedia.org/r/284429

Change 284459 merged by jenkins-bot:
Fall back to entity id for search results with no label

https://gerrit.wikimedia.org/r/284459

Lucie closed this task as Resolved.Apr 21 2016, 11:27 AM
Lucie moved this task from Incoming to Done on the ArticlePlaceholder board.
Restricted Application added a subscriber: Southparkfan. · View Herald TranscriptApr 26 2016, 7:20 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:10 PM